<div id="storefront">
  <div class="pa-0 pb-md-8 pt-md-2">
    <div>
      <p class="mb-0 text-xl font-semibold text-neutral-900">Storefront</p>
      <p class="mb-0 text-sm font-normal text-neutral-900">
        A Default homepage of all Sale pages.
      </p>
    </div>
    <div class="mt-6" id="hideBottomInput">
      <div class="grid grid-cols-12">
        <div class="col-span-12 md:col-span-6">
          <v-card class="ui-card rounded-t-lg p-6">
            <p class="mb-0 font-medium text-neutral-900">Domain List</p>
            <v-skeleton-loader
              class="mx-auto mt-10"
              width="100%"
              type="card"
              v-if="loadingTable"
            >
            </v-skeleton-loader>
            <div
              v-else
              class="border border-solid border-[#E5E7EB] mt-2 rounded-lg"
            >
              <v-simple-table class="scrollTable c-pointer" fixed-header>
                <template v-slot:default>
                  <thead>
                    <tr>
                      <th class="table-head">
                        <div class="d-flex align-center">
                          <p
                            class="mb-0 captionOverline text-content-main text-sm"
                          >
                            Domain Name
                          </p>
                        </div>
                      </th>
                      <th class="table-head text-left">
                        <div>
                          <p
                            class="mb-0 captionOverline text-content-main text-sm"
                          >
                            Status
                          </p>
                        </div>
                      </th>
                      <th class="table-head text-left">
                        <div>
                          <p
                            class="mb-0 captionOverline text-content-main text-sm"
                          >
                            Action
                          </p>
                        </div>
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(domain, i) in listDomain" :key="i">
                      <td class="py-3">
                        <p class="mb-0 text-sm text-neutral-900 font-semibold">
                          {{domain.domain}}
                        </p>
                      </td>
                      <td class="py-3">
                        <div v-if="domain.isEnableSsl">
                          <div
                            class="bg-[#ECFDF3] w-fit rounded-xl flex items-center py-1 px-3"
                          >
                            <v-icon color="#12B76A" size="16">
                              mdi-check
                            </v-icon>
                            <p class="mb-0 text-xs ml-1 text-[#05C368]">
                              Connected
                            </p>
                          </div>
                        </div>
                        <div v-else>
                          <div
                            class="bg-[#ECFDF3] w-fit rounded-xl flex items-center py-1 px-3"
                          >
                            <v-icon color="#FB8C00" size="12">
                              mdi-circle
                            </v-icon>
                            <p class="mb-0 text-xs ml-1 text-[#FB8C00]">
                              Waiting
                            </p>
                          </div>
                        </div>
                      </td>
                      <td class="py-3">
                        <div
                          class="flex items-center"
                          v-if="domain.isEnableSsl"
                        >
                          <nuxt-link
                            :to="`/admin/settings/storefront/${domain._id}`"
                          >
                            <v-btn text>
                              <p class="mb-0 text-sm font-semibold capitalize">
                                Edit
                              </p>
                            </v-btn>
                          </nuxt-link>
                        </div>
                        <div
                          v-else
                          class="bg-gray-200 rounded-lg py-2 px-4 w-fit"
                        >
                          <p class="mb-0 text-xs font-medium">Default</p>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </template>
              </v-simple-table>
              <div
                class="d-flex justify-center ma-4"
                v-if="listDomain.length == 0 && !loadingTable"
              >
                <div>
                  <div class="d-flex align-center justify-center">
                    <img
                      src="~/assets/images/no-product.png"
                      alt=""
                      width="136"
                      height="136"
                    />
                  </div>
                  <p
                    class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold"
                  >
                    No list domain
                  </p>
                </div>
              </div>
            </div>
            <div
              class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
              v-if="listDomain.length && !loadingTable"
            >
              <v-pagination
                v-model="config.page"
                :length="totalPage"
                :total-visible="5"
                class="pagination"
              >
              </v-pagination>
              <div
                id="hideBottomInput"
                class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
              >
                <v-text-field
                  dense
                  outlined
                  v-model.number="page"
                  placeholder="Go to page"
                >
                </v-text-field>
                <div class="button-inside-input">
                  <v-btn
                    height="36px"
                    color="#076CE3"
                    class="px-0 button-inside-input__button elevation-0"
                    @click="onRedirectPage()"
                  >
                    <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
                  </v-btn>
                </div>
              </div>
            </div>
          </v-card>
        </div>
      </div>
    </div>
  </div>
</div>
